API 参考记忆空间
更新记忆空间
PATCH
/api/v1/memory-spaces/{space_id}认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
路径参数
space_id*Space Id
请求头参数
If-Match?|
资源 ETag:当前视图的 "{id}:{version}",模型为 "{key}:{version}"
X-Workspace-ID?|
登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。
请求体
application/json
TypeScript 类型定义
在 TypeScript 中使用 request body 类型。
响应体
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/memory-spaces/string" \ -H "Content-Type: application/json" \ -d '{}'{ "always_load": [ "string" ], "content_bytes": 0, "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "description": "string", "enabled": true, "file_count": 0, "guide": "string", "history_bytes": 0, "id": "string", "labels": { "property1": "string", "property2": "string" }, "memory_id": "string", "name": "string", "organization": { "check_interval_seconds": 10, "cooldown_seconds": 300, "enabled": false, "model": "string", "trigger": { "type": "any_change" } }, "organization_id": "string", "updated_at": "2019-08-24T14:15:22Z", "updated_by_id": "string", "version": 0, "workspace_id": "string"}